<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.pet.first.FirstSetPetWeightActivity">

    <include
        android:id="@+id/il_first_set_pet_weight_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView
        style="@style/my_ScrollView_style"
        android:layout_weight="1">

        <RelativeLayout
            style="@style/root_layout_style"
            android:gravity="center_horizontal">

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_second_bold_title_TextView_style"
                android:layout_marginTop="@dimen/dp_8"
                android:text="@string/txt_your_weight"
                app:lineHeight="@dimen/textSize32" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_first_set_pet_weight_image"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/dp_80"
                android:src="@drawable/icon_dog_image_svg" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_1"
                android:layout_below="@id/iv_first_set_pet_weight_image"
                android:layout_alignStart="@id/iv_first_set_pet_weight_image"
                android:layout_alignEnd="@id/iv_first_set_pet_weight_image"
                android:layout_marginStart="-12dp"
                android:background="@color/black" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignEnd="@id/iv_first_set_pet_weight_image"
                android:layout_alignBottom="@id/iv_first_set_pet_weight_image"
                android:layout_marginEnd="-35dp"
                android:layout_marginBottom="-18dp"
                android:src="@drawable/icon_weighting_scale_svg" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/iv_first_set_pet_weight_image"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/dp_50"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <NumberPicker
                    android:id="@+id/np_first_set_pet_weight_tens"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:layout_marginHorizontal="@dimen/dp_6"
                    android:text="."
                    android:textSize="@dimen/textSize24"
                    android:textStyle="bold" />

                <NumberPicker
                    android:id="@+id/np_first_set_pet_weight_unit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_first_set_pet_weight_unit"
                    style="@style/my_TextView_style_v2"
                    android:layout_marginStart="@dimen/dp_6"
                    android:text="@string/txt_lb"
                    android:textSize="@dimen/textSize20"
                    app:typeface="@string/roboto_bold_font" />
            </androidx.appcompat.widget.LinearLayoutCompat>
        </RelativeLayout>
    </androidx.core.widget.NestedScrollView>

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_first_set_pet_weight_next"
        style="@style/my_match_RoundRect_Button_style"
        android:text="@string/register_txt_next"
        app:qmui_radius="@dimen/dp_64"
        app:typeface="@string/roboto_bold_font" />
</androidx.appcompat.widget.LinearLayoutCompat>